<?php
$choix=-1;
while ($choix != 2)
{
 echo "Entrez une valeur numérique (2=FIN) : ";
 fscanf(STDIN,"%d",$choix);
 if($choix == 2)
    continue;
 echo "Choix $choix sélectionné".PHP_EOL ;
}
echo "Fin du programme".PHP_EOL;
?>